- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Friends

# QKeySequence Class Reference

Search for all occurrences

## Detailed Description

Definition at line 72 of file qkeysequence.h.

`#include <qkeysequence.h>`

List of all members.

## Public Types
enum | StandardKey { UnknownKey, HelpContents, WhatsThis, Open, Close, Save, New, Delete, Cut, Copy, Paste, Undo, Redo, Back, Forward, Refresh, ZoomIn, ZoomOut, Print, AddTab, NextChild, PreviousChild, Find, FindNext, FindPrevious, Replace, SelectAll, Bold, Italic, Underline, MoveToNextChar, MoveToPreviousChar, MoveToNextWord, MoveToPreviousWord, MoveToNextLine, MoveToPreviousLine, MoveToNextPage, MoveToPreviousPage, MoveToStartOfLine, MoveToEndOfLine, MoveToStartOfBlock, MoveToEndOfBlock, MoveToStartOfDocument, MoveToEndOfDocument, SelectNextChar, SelectPreviousChar, SelectNextWord, SelectPreviousWord, SelectNextLine, SelectPreviousLine, SelectNextPage, SelectPreviousPage, SelectStartOfLine, SelectEndOfLine, SelectStartOfBlock, SelectEndOfBlock, SelectStartOfDocument, SelectEndOfDocument, DeleteStartOfWord, DeleteEndOfWord, DeleteEndOfLine, InsertParagraphSeparator, InsertLineSeparator, SaveAs, Preferences, Quit }
enum | SequenceFormat { NativeText, PortableText }
enum | SequenceMatch { NoMatch, PartialMatch, ExactMatch }
typedef QKeySequencePrivate * | DataPtr
## Public Member Functions
| QKeySequence ()
| QKeySequence (const QString &key)
| QKeySequence (const QString &key, SequenceFormat format)
| QKeySequence (int k1, int k2=0, int k3=0, int k4=0)
| QKeySequence (const QKeySequence &ks)
| QKeySequence (StandardKey key)
| ~QKeySequence ()
uint | count () const
bool | isEmpty () const
QString | toString (SequenceFormat format=PortableText) const
SequenceMatch | matches (const QKeySequence &seq) const
| operator QString () const
| operator QVariant () const
| operator int () const
int | operator[] (uint i) const
QKeySequence & | operator= (const QKeySequence &other)
bool | operator== (const QKeySequence &other) const
bool | operator!= (const QKeySequence &other) const
bool | operator< (const QKeySequence &ks) const
bool | operator> (const QKeySequence &other) const
bool | operator<= (const QKeySequence &other) const
bool | operator>= (const QKeySequence &other) const
bool | isDetached () const
DataPtr & | data_ptr ()
## Static Public Member Functions
static QKeySequence | fromString (const QString &str, SequenceFormat format=PortableText)
static QKeySequence | mnemonic (const QString &text)
static QList< QKeySequence > | keyBindings (StandardKey key)
## Friends
class | Q3AccelManager
class | QShortcutMap
class | QShortcut
Q_GUI_EXPORT QDataStream & | operator<< (QDataStream &in, const QKeySequence &ks)
Q_GUI_EXPORT QDataStream & | operator>> (QDataStream &in, QKeySequence &ks)

## Member Typedef Documentation

typedef QKeySequencePrivate* DataPtr

Search for all occurrences

Definition at line 210 of file qkeysequence.h.

## Member Enumeration Documentation

enum StandardKey

Search for all occurrences

Enumerator:

  UnknownKey | Search for all occurrences
  HelpContents | Search for all occurrences
  WhatsThis | Search for all occurrences
  Open | Search for all occurrences
  Close | Search for all occurrences
  Save | Search for all occurrences
  New | Search for all occurrences
  Delete | Search for all occurrences
  Cut | Search for all occurrences
  Copy | Search for all occurrences
  Paste | Search for all occurrences
  Undo | Search for all occurrences
  Redo | Search for all occurrences
  Back | Search for all occurrences
  Forward | Search for all occurrences
  Refresh | Search for all occurrences
  ZoomIn | Search for all occurrences
  ZoomOut | Search for all occurrences
  Print | Search for all occurrences
  AddTab | Search for all occurrences
  NextChild | Search for all occurrences
  PreviousChild | Search for all occurrences
  Find | Search for all occurrences
  FindNext | Search for all occurrences
  FindPrevious | Search for all occurrences
  Replace | Search for all occurrences
  SelectAll | Search for all occurrences
  Bold | Search for all occurrences
  Italic | Search for all occurrences
  Underline | Search for all occurrences
  MoveToNextChar | Search for all occurrences
  MoveToPreviousChar | Search for all occurrences
  MoveToNextWord | Search for all occurrences
  MoveToPreviousWord | Search for all occurrences
  MoveToNextLine | Search for all occurrences
  MoveToPreviousLine | Search for all occurrences
  MoveToNextPage | Search for all occurrences
  MoveToPreviousPage | Search for all occurrences
  MoveToStartOfLine | Search for all occurrences
  MoveToEndOfLine | Search for all occurrences
  MoveToStartOfBlock | Search for all occurrences
  MoveToEndOfBlock | Search for all occurrences
  MoveToStartOfDocument | Search for all occurrences
  MoveToEndOfDocument | Search for all occurrences
  SelectNextChar | Search for all occurrences
  SelectPreviousChar | Search for all occurrences
  SelectNextWord | Search for all occurrences
  SelectPreviousWord | Search for all occurrences
  SelectNextLine | Search for all occurrences
  SelectPreviousLine | Search for all occurrences
  SelectNextPage | Search for all occurrences
  SelectPreviousPage | Search for all occurrences
  SelectStartOfLine | Search for all occurrences
  SelectEndOfLine | Search for all occurrences
  SelectStartOfBlock | Search for all occurrences
  SelectEndOfBlock | Search for all occurrences
  SelectStartOfDocument | Search for all occurrences
  SelectEndOfDocument | Search for all occurrences
  DeleteStartOfWord | Search for all occurrences
  DeleteEndOfWord | Search for all occurrences
  DeleteEndOfLine | Search for all occurrences
  InsertParagraphSeparator | Search for all occurrences
  InsertLineSeparator | Search for all occurrences
  SaveAs | Search for all occurrences
  Preferences | Search for all occurrences
  Quit | Search for all occurrences

Definition at line 75 of file qkeysequence.h.

                         {
            UnknownKey,
            HelpContents,
            WhatsThis,
            Open,
            Close,
            Save,
            New,
            Delete,
            Cut,
            Copy,
            Paste,
            Undo,
            Redo,
            Back,
            Forward,
            Refresh,
            ZoomIn,
            ZoomOut,
            Print,
            AddTab,
            NextChild,
            PreviousChild,
            Find,
            FindNext,
            FindPrevious,
            Replace,
            SelectAll,
            Bold,
            Italic,
            Underline,
            MoveToNextChar,
            MoveToPreviousChar,
            MoveToNextWord,
            MoveToPreviousWord,
            MoveToNextLine,
            MoveToPreviousLine,
            MoveToNextPage,
            MoveToPreviousPage,
            MoveToStartOfLine,
            MoveToEndOfLine,
            MoveToStartOfBlock,
            MoveToEndOfBlock,
            MoveToStartOfDocument,
            MoveToEndOfDocument,
            SelectNextChar,
            SelectPreviousChar,
            SelectNextWord,
            SelectPreviousWord,
            SelectNextLine,
            SelectPreviousLine,
            SelectNextPage,
            SelectPreviousPage,
            SelectStartOfLine,
            SelectEndOfLine,
            SelectStartOfBlock,
            SelectEndOfBlock,
            SelectStartOfDocument,
            SelectEndOfDocument,
            DeleteStartOfWord,
            DeleteEndOfWord,
            DeleteEndOfLine,
            InsertParagraphSeparator,
            InsertLineSeparator,
            SaveAs,
            Preferences,
            Quit
         };

enum SequenceFormat

Search for all occurrences

Enumerator:

  NativeText | Search for all occurrences
  PortableText | Search for all occurrences

Definition at line 144 of file qkeysequence.h.

                            {
            NativeText,
            PortableText
        };

enum SequenceMatch

Search for all occurrences

Enumerator:

  NoMatch | Search for all occurrences
  PartialMatch | Search for all occurrences
  ExactMatch | Search for all occurrences

Definition at line 160 of file qkeysequence.h.

                           {
            NoMatch,
            PartialMatch,
            ExactMatch
    #ifdef QT3_SUPPORT
            , Identical = ExactMatch
    #endif
        };

## Constructor & Destructor Documentation

QKeySequence | ( |  | ) |

QKeySequence | ( | const QString & | key | ) |

QKeySequence | ( | const QString & | key,
|  | SequenceFormat | format
| ) |  |

QKeySequence | ( | int | k1,
|  | int | k2 = `0`,
|  | int | k3 = `0`,
|  | int | k4 = `0`
| ) |  |

QKeySequence | ( | const QKeySequence & | ks | ) |

QKeySequence | ( | StandardKey | key | ) |

~QKeySequence | ( |  | ) |

## Member Function Documentation

uint count | ( |  | ) | const

Search for all occurrences

bool isEmpty | ( |  | ) | const

Search for all occurrences

QString toString | ( | SequenceFormat | format = `PortableText` | ) | const

Search for all occurrences

static QKeySequence fromString | ( | const QString & | str,
|  | SequenceFormat | format = `PortableText`
| ) |  | `[static]`

Search for all occurrences

SequenceMatch matches | ( | const QKeySequence & | seq | ) | const

Search for all occurrences

static QKeySequence mnemonic | ( | const QString & | text | ) | `[static]`

Search for all occurrences

static QList<QKeySequence> keyBindings | ( | StandardKey | key | ) | `[static]`

Search for all occurrences

operator QString | ( |  | ) | const

operator QVariant | ( |  | ) | const

operator int | ( |  | ) | const

int operator[] | ( | uint | i | ) | const

QKeySequence& operator= | ( | const QKeySequence & | other | ) |

bool operator== | ( | const QKeySequence & | other | ) | const

bool operator!= | ( | const QKeySequence & | other | ) | const `[inline]`

Definition at line 183 of file qkeysequence.h.

        { return !(*this == other); }

bool operator< | ( | const QKeySequence & | ks | ) | const

bool operator> | ( | const QKeySequence & | other | ) | const `[inline]`

Definition at line 186 of file qkeysequence.h.

        { return other < *this; }

bool operator<= | ( | const QKeySequence & | other | ) | const `[inline]`

Definition at line 188 of file qkeysequence.h.

        { return !(other < *this); }

bool operator>= | ( | const QKeySequence & | other | ) | const `[inline]`

Definition at line 190 of file qkeysequence.h.

        { return !(*this < other); }

bool isDetached | ( |  | ) | const

Search for all occurrences

DataPtr& data_ptr | ( |  | ) | `[inline]`

Search for all occurrences

Definition at line 211 of file qkeysequence.h.

    { return d; }

## Friends And Related Function Documentation

friend class Q3AccelManager `[friend]`

Search for all occurrences

Definition at line 205 of file qkeysequence.h.

friend class QShortcutMap `[friend]`

Search for all occurrences

Definition at line 206 of file qkeysequence.h.

friend class QShortcut `[friend]`

Search for all occurrences

Definition at line 207 of file qkeysequence.h.

Q_GUI_EXPORT QDataStream& operator<< | ( | QDataStream & | in,
|  | const QKeySequence & | ks
| ) |  | `[friend]`

Q_GUI_EXPORT QDataStream& operator>> | ( | QDataStream & | in,
|  | QKeySequence & | ks
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- QtGui/qkeysequence.h

QKeySequence QKeySequence QKeySequence QKeySequence QKeySequence QKeySequence QKeySequence QKeySequence QKeySequence QKeySequence
QKeySequence QKeySequence QKeySequence QKeySequence QKeySequence QKeySequence QKeySequence QKeySequence QKeySequence QKeySequence